m-wire--lock-screen {
  display: block;
  position: relative;
}
.m-wire--lock-screen {
  display: flex;
  flex-direction: column;
  align-items: center;
  letter-spacing: 2px;
  padding: 10px 10px 20px 10px;
  background-image: url('<%= APP_CDN %>/assets/photos/andromeda-galaxy.jpg');
  background-size: cover;
  text-align: center;
  position: relative;
  @include m-theme() {
    color: themed($m-white);
  }

  > * {
    z-index: 1;
    cursor: default;
  }

  .ion-icon {
    padding: 24px 0;
    font-size: 75px;
  }

  .m-wire--lock-screen-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    @include m-theme() {
      background-color: rgba(themed($m-black), 0.4);
    }
  }

  .m-wire--lock-screen-amount {
    font-weight: 400;
    margin: 0;
    letter-spacing: 4px;
  }

  .m-wire--lock-screen--message {
    text-align: center;
    text-transform: uppercase;
    max-width: 60%;
    font-weight: 400;
    font-family: 'Roboto', Helvetica, sans-serif;
    letter-spacing: 2px;
    font-size: 11px;
    line-height: 20px;
  }
}

.m-wire--lock-screen--transaction-made-notice {
  padding: 16px;
  @include m-theme() {
    color: themed($m-red);
  }
}

.m-wire--lock-screen--button {
  padding: 16px;
  display: flex;
  flex-direction: row;
  align-items: center;

  .m-wire--lock-screen-introduction {
    flex: 1;
  }

  button {
    display: inline-block;
    vertical-align: middle;
    position: relative;
    overflow: hidden;
    cursor: pointer;

    > * {
      vertical-align: middle;
      letter-spacing: 1.5px;
    }

    i {
      padding-right: $minds-padding;
    }

    .m-spinner {
      display: inline-block;
      vertical-align: middle;
      transform: scale(0.5);
    }
  }

  p {
    padding: 8px 0;
    display: inline-block;
    margin-bottom: 0;

    b {
      font-size: 26px;
      @include m-theme() {
        color: themed($m-grey-400);
      }
    }
  }
}
